strlcpy
Prev | String Manipulation | Next

## Name

strlcpy — Copy a `NUL` terminated string into a sized buffer

## Synopsis

`size_t strlcpy (` | char * | dest,
| const char * | src,
| size_t | size`)`;

## Arguments

`dest`

  Where to copy the string to

`src`

  Where to copy the string from

`size`

  size of destination buffer

## BSD

the result is always a valid NUL-terminated string that fits in the buffer (unless, of course, the buffer size is zero). It does not pad out the result like `strncpy` does.

Prev | Up | Next
strncpy | Home | strcat